<?php
//Parse the content for the first occurrence of video url
$audio = rad_extract_audio_info(get_post_meta(get_the_ID(), "audio-url", true ));
if($audio != null)
{
    //Extract video ID
    ?>
    <div class="post-media audio-frame">
    <?php
        echo rad_soundcloud_get_embed($audio["url"]);
    ?>
    </div>
<?php
}
?>
<div class="post-content">
<?php
get_template_part( "templates/core/post/post", "meta" );
get_template_part( "templates/core/post/post", "excerpt" );
?>
</div>